/*
 *   ORXONOX - the hottest 3D action shooter ever to exist
 *                    > www.orxonox.net <
 *
 *
 *   License notice:
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License
 *   as published by the Free Software Foundation; either version 2
 *   of the License, or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 *   Author:
 *      Martin Polak
 *   Co-authors:
 *      ...
 *
 */

/**
    @file LaserMunition.cc
    @brief Implementation of the LaserMunition class.
*/

#include "LaserMunition.h"
#include "core/CoreIncludes.h"

namespace orxonox
{
    RegisterClass(LaserMunition);

    LaserMunition::LaserMunition(Context* context) : ReplenishingMunition(context)
    {
        RegisterObject(LaserMunition);

        this->maxMunitionPerMagazine_ = 20;
        this->maxMagazines_ = 10;
        this->unassignedMagazines_ = 10;

        this->deployment_ = MunitionDeployment::Separate;

        this->bAllowMunitionRefilling_ = true;
        this->bAllowMultiMunitionRemovementUnderflow_ = true;

        this->replenishInterval_ = 7.0f;
        this->replenishAmount_ = 1;

        this->reloadTime_ = 0.6f;
    }
}
